package com.mortals.xhx.common.code;

public enum LeaveRulesEnum {
    事假("71f9fcc4-6fb3-45da-9be7-ef0d7d72a3c2","hour"),
    调休("47f2fb3b-571a-4dcd-9ed7-17c0a58dbd08","hour"),
    病假("cc344abc-d228-423f-94ef-b71c60341d02","hour"),
    年假("c0f1f8af-4fb4-404d-a306-edd0c7df8375","halfDay"),
    产假("195cd54f-6e1e-4aa9-be93-20fd997db9b2","day"),
    陪产假("8b32bb86-09a0-46bf-ab83-3638f4d03173","day"),
    婚假("f1981cae-e595-41bc-a9ae-f0206ddc98fb","day"),
    例假("ef04cb2e-6883-4d78-a104-c380fbed8ecb","halfday"),
    丧假("937b8a4c-64b0-4c82-8cfc-a9bda2935e2c","day"),
    哺乳假("d512ffd1-6958-4387-aaee-98d78de6f9cd","hour"),
    探亲假("37529169-eabe-4b0f-97f3-2a8dd30538e0","day");


    private String leave_code;   //假期标识
    private String leave_view_unit;   //假期时间分类  day：天，halfDay：半天，hour：小时

    LeaveRulesEnum(String leave_code, String leave_view_unit) {
        this.leave_code = leave_code;
        this.leave_view_unit = leave_view_unit;
    }

    public String getLeave_code() {
        return leave_code;
    }

    public String getLeave_view_unit() {
        return leave_view_unit;
    }
}
