package com.mortals.xhx.module.feedback.model.vo;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.feedback.model.FeedbackAnswerEntity;
import com.mortals.xhx.module.feedback.model.FeedbackEntity;
import java.util.ArrayList;
import java.util.List;

import com.mortals.xhx.module.feedback.model.FeedbackQuestionEntity;
import lombok.Data;
import com.mortals.framework.annotation.Excel;
import java.math.BigDecimal;
import java.util.Date;
/**
* 绩效反馈记录信息视图对象
*
* @author zxfei
* @date 2023-07-05
*/
@Data
public class FeedbackVo extends BaseEntityLong {

    private List<Long> staffList;
    /** 问题Id */
    private Long questionId;
    /** 反馈Id */
    private Long feedbackId;
    /** 反馈状态 */
    private Integer backStatus;

    /** 开始 反馈开始时间 */
    private String feedbackTimeStartStart;

    /** 结束 反馈开始时间 */
    private String feedbackTimeStartEnd;

    private List<FeedbackAnswerEntity> feedbackAnswerList=new ArrayList<>();;
}